## org.eclipse.wst.wsdl
Interface Input

All Superinterfaces:
  ExtensibleElement, javax.wsdl.Input, MessageReference, java.io.Serializable, WSDLElement

    public interface Input

extends MessageReference, javax.wsdl.Input

A representation of the model object 'Input'.

Since:
  1.0
See Also:
  `WSDLPackage.getInput()`

Method Summary

Methods inherited from interface org.eclipse.wst.wsdl.MessageReference
`getEMessage, getName, setEMessage, setName`

Methods inherited from interface org.eclipse.wst.wsdl.ExtensibleElement
`addExtensibilityElement, getEExtensibilityElements, getExtensibilityElements`

Methods inherited from interface org.eclipse.wst.wsdl.WSDLElement
`elementChanged, getContainer, getDocumentationElement, getElement, getEnclosingDefinition, setDocumentationElement, setElement, setEnclosingDefinition, updateElement, updateElement`

Methods inherited from interface javax.wsdl.Input
`getDocumentationElement, getMessage, getName, setDocumentationElement, setMessage, setName`